@echo off

rem Setup.bat Copyright (C) 2001, 2002, 2003 Intel Corporation.  All rights reserved.



echo.



echo Place a blank, formatted floppy in drive A and press any key 
echo to create a Bootable Intel(R) Processor Frequency ID diskette

echo or press CTRL-C to abort.
pause > nul



if exist a:\*.* goto ERR_DISK_NOT_EMPTY



if not exist .\btwrite.exe goto ERR_SOURCE_NOT_FOUND



.\btwrite.exe -s

echo.



if errorlevel 9   goto ERR_UNKNOWN

if errorlevel 8   goto ERR_IMAGE_READ_FAIL

if errorlevel 7   goto ERR_IMAGE_OPEN_FAIL

if errorlevel 6   goto ERR_INTERACTIVE

if errorlevel 5   goto ERR_WRITE_FAIL

if errorlevel 4   goto ERR_RESET_FAIL

if errorlevel 3   goto ERR_NOT_144MB

if errorlevel 2   goto ERR_DISK_NOT_EMPTY

if errorlevel 1   goto ERR_RUN_FROM_A

goto COPYFILES



:ERR_SOURCE_NOT_FOUND

echo Error. File not found.  Please run SETUP.BAT from the directory
echo        where you expanded the download package.
goto FAILDONE



:ERR_RUN_FROM_A

echo Error.  The setup utility can not run from drive A.
goto FAILDONE



:ERR_DISK_NOT_EMPTY

echo Error.  The diskette in drive A is not empty.
goto FAILDONE



:ERR_NOT_144MB

echo Error.  The diskette in drive A is not a 1.44 MB floppy disk
echo         or it contains bad sectors.
goto FAILDONE



:ERR_RESET_FAIL

echo The utility encountered an error while resetting the floppy controller.
goto FAILDONE



:ERR_WRITE_FAIL

echo The utility encountered an error while writing to the floppy in drive A.
goto FAILDONE



:ERR_INTERACTIVE

echo Error.  The setup utility has been modified. Download a new copy.
goto FAILDONE



:ERR_IMAGE_OPEN_FAIL

echo Error.  The setup utility could not find a required file.
goto FAILDONE



:ERR_IMAGE_READ_FAIL

echo Error.  The setup utility could not read a required file.
goto FAILDONE



:ERR_UNKNOWN

echo The setup utility encountered an unknown error.
goto FAILDONE





:COPYFILES

echo Copying 4 files to A:
if not exist .\_comtmp.fid goto ERR_SOURCE_NOT_FOUND

copy _comtmp.fid a:\command.com /V

if errorlevel 1 goto ERR_WRITE_FAIL

if not exist .\_dostmp.fid goto ERR_SOURCE_NOT_FOUND

copy _dostmp.fid a:\dos.sys  /V

if errorlevel 1 goto ERR_WRITE_FAIL

if not exist .\_autotmp.fid goto ERR_SOURCE_NOT_FOUND

copy _autotmp.fid a:\autoexec.bat  /V

if errorlevel 1 goto ERR_WRITE_FAIL

if not exist .\bfreqid?.com goto ERR_SOURCE_NOT_FOUND

copy bfreqid?.com a:\  /V

if errorlevel 1 goto ERR_WRITE_FAIL



echo.

goto SUCCESSDONE



:FAILDONE

echo The setup operation failed.
echo.

echo.

goto QUIT



:SUCCESSDONE

echo The bootable Intel Processor Frequency ID Utility disk was created successfully.

echo.

goto QUIT



:QUIT

